For the complete documentation index, see llms.txt. This page is also available as Markdown.

List all PostgreSQL versions

Retrieves a list of all available PostgreSQL versions.

Deprecated
get
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.

Responses
200

Successful operation.

application/json

List of PostgreSQL versions.

get/clusters/postgresversions
GET /databases/postgresql/clusters/postgresversions HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
  "data": [
    {
      "name": "14"
    }
  ]
}

Last updated

Was this helpful?